Skip to main content
POST
Mark an order payment paid

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

order_number
string
required

Order number

request_number
string
required

The order payment's request number

Body

application/json
payment_reference_number
string

The money's reference, such as the cheque number.

Maximum string length: 128
payment_method
string

One of the store's active manual payment methods, by its slug, when the money came by another method than the payment's: the recorded payment's payment_method.

Maximum string length: 64
remarks
string

Written to the order's activity.

Maximum string length: 1000

Response

OK

message
string
required
Example:

"Payment marked as paid."

success
boolean
required
content
object
required